%define _requires_exceptions pear(inc/custom

Summary:	Web-based frontend for the PowerDNS DNS server
Name:		poweradmin
Version:	2.1.1
Release:	%mkrel 2
License:	GPLv3+
Group:		System/Servers
URL:		http://poweradmin.org/
Source0:	https://www.poweradmin.org/download/%{name}-%{version}.tgz
Patch0:		poweradmin-2.1.1-mdv_conf.diff
Requires:	apache-mod_php
Requires:	pdns-backend-mysql
Requires:	php-gettext
Requires:	php-mysql
Requires:	php-pear
Requires:	php-pear-MDB2_Driver_mysql
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
PowerAdmin is a Web-based frontend for the PowerDNS DNS server. It interfaces
with PowerDNS's generic database backends, such as MySQL, PostgreSQL, and
Oracle, to add/modify/delete both forward and reverse zones, with full IPv6
support. 

Please read the README file in /usr/share/doc/poweradmin on how to set up a
user for mysql.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p1

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}/var/www/%{name}
cp -aRf * %{buildroot}/var/www/%{name}/

install -m0644 inc/config-me.inc.php %{buildroot}%{_sysconfdir}/%{name}/config.inc.php

# apache config
cat > %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf << EOF

Alias /%{name} /var/www/%{name}

<Directory /var/www/%{name}>
    Allow from All
</Directory>

<Directory /var/www/%{name}/install>
    Order Deny,Allow
    Deny from All
    Allow from 127.0.0.1
    ErrorDocument 403 "Access denied per %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf"
</Directory>

EOF

# cleanup
rm -rf %{buildroot}/var/www/%{name}/docs

%post
%_post_webapp

%postun
%_postun_webapp

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc docs/*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
%dir %{_sysconfdir}/%{name}
%attr(0640,apache,root)  %config(noreplace) %{_sysconfdir}/%{name}/config.inc.php
/var/www/%{name}


%changelog
* Tue Sep 15 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.1.1-2mdv2010.0
+ Revision: 441912
- rebuild

* Thu Oct 16 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1.1-1mdv2009.1
+ Revision: 294354
- 2.1.1

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.7-8mdv2009.0
+ Revision: 259252
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.7-7mdv2009.0
+ Revision: 247196
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.7-5mdv2008.1
+ Revision: 171050
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.2.7-4mdv2008.1
+ Revision: 125586
- kill re-definition of %%buildroot on Pixel's request
- use %%mkrel
- import poweradmin


* Fri Apr 29 2005 Marcel Pol <mpol@mandriva.org> 1.2.7-4mdk
- rebuild

* Wed Jul 16 2003 Marcel Pol <mpol@gmx.net> 1.2.7-3mdk
- fix typo

* Wed Jul 16 2003 Marcel Pol <mpol@gmx.net> 1.2.7-2mdk
- own dir

* Thu Jun 12 2003 Marcel Pol <mpol@gmx.net> 1.2.7-1mdk
- 1.2.7

* Mon Apr 07 2003 Marcel Pol <mpol@gmx.net> 1.2.4-2mdk
- requires s/powerdns-mysql/powerdns-backend-mysql

* Mon Mar 17 2003 Marcel Pol <mpol@gmx.net> 1.2.4-1mdk
- initial release

